# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "potato-agent"
version = "0.16.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Potato brands"
readme = false
license = "MIT"
repository = "https://github.com/demml/potatohead"

[lib]
name = "potato_agent"
path = "src/lib.rs"
doctest = false

[dependencies.base64]
version = "0.*"

[dependencies.gcloud-auth]
version = "1.*"

[dependencies.http]
version = "1.*"

[dependencies.jsonschema]
version = "0.*"

[dependencies.potato-provider]
version = "0.16.1"

[dependencies.potato-state]
version = "0.16.1"

[dependencies.potato-type]
version = "0.16.1"

[dependencies.potato-util]
version = "0.16.1"

[dependencies.pyo3]
version = "0.27.2"
features = [
    "abi3-py310",
    "extension-module",
    "anyhow",
    "serde",
    "chrono",
]

[dependencies.reqwest]
version = "0.12.*"
features = [
    "json",
    "stream",
    "multipart",
    "rustls-tls",
    "rustls-tls-native-roots",
    "blocking",
]
default-features = false

[dependencies.serde]
version = "1.*"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1.*"

[dependencies.thiserror]
version = "2.*"

[dependencies.token-source]
version = "1.*"

[dependencies.tokio]
version = ">1.13.0"
features = [
    "rt",
    "rt-multi-thread",
    "macros",
]

[dependencies.tracing]
version = "0.*"
